nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::custom_metadata::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::custom_metadata::DeviceAgent:

## Public Member Functions
| DeviceAgent (Engine *engine, const nx::sdk::IDeviceInfo *deviceInfo)
Public Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
virtual void | setHandler (IHandler *handler) override
Public Member Functions inherited from nx::sdk::RefCountable< IConsumingDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual void | doSetNeededMetadataTypes (nx::sdk::Result< void > *outValue, const nx::sdk::analytics::IMetadataTypes *neededMetadataTypes) override
virtual std::string | manifestString () const override
virtual bool | pushCustomMetadataPacket (const nx::sdk::analytics::ICustomMetadataPacket *customMetadataPacket) override
Protected Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
| ConsumingDeviceAgent (const IDeviceInfo *deviceInfo, bool enableOutput, const std::string &pluginInstanceId="")
virtual bool | pushCompressedVideoFrame (const ICompressedVideoPacket *videoFrame)
virtual bool | pushUncompressedVideoFrame (const IUncompressedVideoFrame *videoFrame)
virtual bool | pullMetadataPackets (std::vector< IMetadataPacket *> *metadataPackets)
void | pushMetadataPacket (IMetadataPacket *metadataPacket)
void | pushPluginDiagnosticEvent (IPluginDiagnosticEvent::Level level, std::string caption, std::string description) const
virtual nx::sdk::Result< const nx::sdk::ISettingsResponse * > | settingsReceived ()
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
void | pushManifest (const std::string &pushManifest)
virtual void | finalize () override
virtual void | doGetSettingsOnActiveSettingChange (Result< const IActiveSettingChangedResponse *> *outResult, const IActiveSettingChangedAction *activeSettingChangedAction) override
virtual void | doPushDataPacket (Result< void > *outResult, IDataPacket *dataPacket) override
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getPluginSideSettings (Result< const ISettingsResponse *> *outResult) const override
virtual void | getManifest (Result< const IString *> *outResult) const override

## Additional Inherited Members
Protected Attributes inherited from nx::sdk::analytics::ConsumingDeviceAgent
const LogUtils | logUtils

## Member Function Documentation

## ◆ pushCustomMetadataPacket()

bool nx::vms_server_plugins::analytics::stub::custom_metadata::DeviceAgent::pushCustomMetadataPacket | ( | const nx::sdk::analytics::ICustomMetadataPacket * |  | ) |
| override protected virtual

Override to accept next custom metadata for processing.

Parameters

  customMetadataPacket | Contains a pointer to the custom metadata packet.

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

The documentation for this class was generated from the following files:

- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/custom_metadata/device_agent.h
- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/custom_metadata/device_agent.cpp